# 贡献指南

> 请您勇敢地去翻译和改进翻译。虽然我们追求卓越，但我们并不要求您做到十全十美，因此请不要担心因为翻译上犯错——在大部分情况下，我们的服务器已经记录所有的翻译，因此您不必担心会因为您的失误遭到无法挽回的破坏。（改编自维基百科）

负责人：

+   [飞龙](https://github.com/wizardforcel)：562826179

## 章节列表

+   [Cython 3.0 中文文档](README.md)
+   [入门](docs/2.md)
    +   [Cython - 概述](docs/3.md)
    +   [安装 Cython](docs/4.md)
    +   [构建 Cython 代码](docs/5.md)
    +   [通过静态类型更快的代码](docs/6.md)
+   [Tutorials](docs/7.md)
    +   [基础教程](docs/8.md)
    +   [调用 C 函数](docs/9.md)
    +   [使用 C 库](docs/10.md)
    +   [扩展类型（又名.cdef 类）](docs/11.md)
    +   [pxd 文件](docs/12.md)
    +   [Caveats](docs/13.md)
    +   [Profiling](docs/14.md)
    +   [Unicode 和传递字符串](docs/15.md)
    +   [内存分配](docs/16.md)
    +   [纯 Python 模式](docs/17.md)
    +   [使用 NumPy](docs/18.md)
    +   [使用 Python 数组](docs/19.md)
    +   [进一步阅读](docs/20.md)
    +   [相关工作](docs/21.md)
    +   [附录：在 Windows 上安装 MinGW](docs/22.md)
+   [用户指南](docs/23.md)
    +   [语言基础](docs/24.md)
    +   [扩展类型](docs/25.md)
    +   [扩展类型的特殊方法](docs/26.md)
    +   [在 Cython 模块之间共享声明](docs/27.md)
    +   [与外部 C 代码连接](docs/28.md)
    +   [源文件和编译](docs/29.md)
    +   [早期绑定速度](docs/30.md)
    +   [在 Cython 中使用 C ++](docs/31.md)
    +   [融合类型（模板）](docs/32.md)
    +   [将 Cython 代码移植到 PyPy](docs/33.md)
    +   [Limitations](docs/34.md)
    +   [Cython 和 Pyrex 之间的区别](docs/35.md)
    +   [键入的内存视图](docs/36.md)
    +   [实现缓冲协议](docs/37.md)
    +   [使用并行性](docs/38.md)
    +   [调试你的 Cython 程序](docs/39.md)
    +   [用于 NumPy 用户的 Cython](docs/40.md)
    +   [Pythran 作为 Numpy 后端](docs/41.md)

## 流程

### 一、认领

首先查看[整体进度](https://github.com/apachecn/cython-doc-zh/issues/1)，确认没有人认领了你想认领的章节。
 
然后回复 ISSUE，注明“章节 + QQ 号”（一定要留 QQ）。

### 二、校对

需要校对：

1.  语法
2.  术语使用
3.  文档格式

如果觉得现有翻译不好，重新翻译也是可以的。

### 三、提交

+   `fork` Github 项目
+   将译文放在`docs`文件夹下
+   `push`
+   `pull request`

请见 [Github 入门指南](https://github.com/apachecn/kaggle/blob/master/docs/GitHub)。
